gi-gtk4-4.0.12: Gtk 4.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.AnyFilter

Contents

- Exported types
- Methods
  - new

Description

Matches an item when at least one of its filters matches.

To add filters to a `GtkAnyFilter`, use `multiFilterAppend`.

Synopsis

- newtype AnyFilter = AnyFilter (ManagedPtr AnyFilter)
- class (GObject o, IsDescendantOf AnyFilter o) => IsAnyFilter o
- toAnyFilter :: (MonadIO m, IsAnyFilter o) => o -> m AnyFilter
- anyFilterNew :: (HasCallStack, MonadIO m) => m AnyFilter

# Exported types

newtype AnyFilter Source #

Memory-managed wrapper type.

Constructors

AnyFilter (ManagedPtr AnyFilter) |

#### Instances

Instances details

Eq AnyFilter Source # |
Instance details Defined in GI.Gtk.Objects.AnyFilter Methods (==) :: AnyFilter -> AnyFilter -> Bool Source # (/=) :: AnyFilter -> AnyFilter -> Bool Source #
GObject AnyFilter Source # |
Instance details Defined in GI.Gtk.Objects.AnyFilter
ManagedPtrNewtype AnyFilter Source # |
Instance details Defined in GI.Gtk.Objects.AnyFilter Methods toManagedPtr :: AnyFilter -> ManagedPtr AnyFilter Source #
TypedObject AnyFilter Source # |
Instance details Defined in GI.Gtk.Objects.AnyFilter Methods glibType :: IO GType Source #
HasParentTypes AnyFilter Source # |
Instance details Defined in GI.Gtk.Objects.AnyFilter
IsGValue (Maybe AnyFilter) Source # | Convert `AnyFilter` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.AnyFilter Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe AnyFilter -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe AnyFilter) Source #
type ParentTypes AnyFilter Source # |
Instance details Defined in GI.Gtk.Objects.AnyFilter type ParentTypes AnyFilter = '[MultiFilter, Filter, Object, ListModel, Buildable]

class (GObject o, IsDescendantOf AnyFilter o) => IsAnyFilter o Source #

Type class for types which can be safely cast to `AnyFilter`, for instance with `toAnyFilter`.

#### Instances

Instances details

(GObject o, IsDescendantOf AnyFilter o) => IsAnyFilter o Source # |
Instance details Defined in GI.Gtk.Objects.AnyFilter

toAnyFilter :: (MonadIO m, IsAnyFilter o) => o -> m AnyFilter Source #

Cast to `AnyFilter`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

append, bindProperty, bindPropertyFull, changed, forceFloating, freezeNotify, getv, isFloating, itemsChanged, match, notify, notifyByPspec, ref, refSink, remove, runDispose, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getBuildableId, getData, getItem, getItemType, getNItems, getProperty, getQdata, getStrictness.

#### Setters

setData, setDataFull, setProperty.

## new

anyFilterNew Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> m AnyFilter | Returns: a new `GtkAnyFilter`

Creates a new empty "any" filter.

Use `multiFilterAppend` to add filters to it.

This filter matches an item if any of the filters added to it matches the item. In particular, this means that if no filter has been added to it, the filter matches no item.